module CIbopEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_Ibop()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_Ibop=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_Ibop=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_Ibop()
        implicit none
        ! imp me...
    end subroutine
    
end module CIbopEnum